# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.88.0"
name = "laddu-generation"
version = "0.19.2"
authors = ["Nathaniel Dene Hoffman <dene@cmu.edu>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Monte Carlo event generation tools for laddu"
homepage = "https://github.com/denehoffman/laddu"
documentation = "https://docs.rs/laddu-generation"
readme = false
license = "MIT OR Apache-2.0"
repository = "https://github.com/denehoffman/laddu"

[lib]
name = "laddu_generation"
path = "src/lib.rs"

[[example]]
name = "demo"
path = "examples/demo.rs"

[dependencies.fastrand]
version = "2.3.0"

[dependencies.fastrand-contrib]
version = "0.1.0"

[dependencies.laddu-core]
version = "0.19.2"

[dependencies.serde]
version = "1.0.228"
features = ["rc"]
